# Venue - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types / Venue

# Venue

(common) `data class Venue : CommonVenueData` (source)

### Constructors

(common)

#### <init>

`Venue(location: Location, title: String, address: String, foursquareId: String? = null, foursquareType: String? = null)`

### Properties

(common)

#### address

`val address: String`

(common)

#### foursquareId

`val foursquareId: String?`

(common)

#### foursquareType

`val foursquareType: String?`

(common)

#### location

`val location: Location`

(common)

#### title

`val title: String`

### Extension Functions

(common)

#### toRequest

`fun Venue.toRequest(chatId: ChatIdentifier, disableNotification: Boolean = false, replyToMessageId: MessageIdentifier? = null, replyMarkup: KeyboardMarkup? = null): SendVenue`